package cat.hack3.codingtests.marsrover;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import static cat.hack3.codingtests.marsrover.MarsMap.Direction.SOUTH;

public class MarsRoverTest {

    public static final int MAP_WIDTH = 10;
    public static final int MAP_HEIGHT = 10;
    private MarsMap marsMap;

    @BeforeMethod
    public void setUp() {
        marsMap = new MarsMap(MAP_WIDTH, MAP_HEIGHT);
    }

    @Test
    public void havingARoverWithStartingPointAndDirection() {
        int latitudeStartingPoint = 2;
        int longitudeStartingPoint = 3;
        MarsMap.Direction startingDirection = SOUTH;
        new MarsRover(marsMap, latitudeStartingPoint, longitudeStartingPoint, startingDirection);
    }
}
